eth_getTransactionByBlockHashAndIndex - Scroll

Returns information about a transaction by block hash and transaction index position.

Parameters

DATA, 32 Bytes - Hash of a block.
QUANTITY - Integer of the transaction index position.

params: [
	"0xc0f4906fea23cf6f3cce98cb44e8e1449e455b28d684dfa9ff65426495584de6",
	"0x0", // 0
];

Returns

See eth_getTransactionByHash.

Example

Request

curl --location --request POST 'https://scroll-testnet.unifra.io/v1/your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionByBlockHashAndIndex",
    "params": [
        "0x7377c6bcf268755e8f662748974b5afcd55a8f8c2bbe14827a03a1fc7261003b",
        "0x0"
    ],
    "id": 0
}'
Path Params
string
required
Body Params
string
Defaults to { "method": "debug_traceCall", "params": [ { "from": "0xe84118e2b5c74f9610377e86c840ac70f8ca925d", "to": "0xd9880690bd717189cc3fbe7b9020f27fae7ac76f", "value": "0xb1a2bc2ec50000", "gas": "0x226dc", "gasUsed": "0x20b84", "data": "0x5ae401dc00000000000000000000000000000000000000000000000000000000643925d800000000000000000000000000000000000000000000000000000000000000400000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000e404e45aaf000000000000000000000000a1ea0b2354f5a344110af2b6ad68e75545009a03000000000000000000000000a0d71b9877f44c744546d649147e3f1e70a9376000000000000000000000000000000000000000000000000000000000000001f4000000000000000000000000e84118e2b5c74f9610377e86c840ac70f8ca925d00000000000000000000000000000000000000000000000000b1a2bc2ec500000000000000000000000000000000000000000000000008b76dd55b0c2f4f5113000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000" }, "0x13d5d0", { "tracer": "callTracer", "tracerConfig": { "onlyTopCall": false, "withLog": true } } ], "id": 1, "jsonrpc": "2.0" }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json